package com.sheep.gamegroup.model.entity;

import java.io.Serializable;

/**
 * Created by realicing on 2018/6/6.
 * realicing@sina.com
 * display_type;//类型： 1 图片 2 视频
 * link_type;//转跳类型1：H5外部 2：H5内部 3：试玩赚钱 4:单个任务 5：信用卡 6:微信二维码 7：连续任务 8：打卡赚钱
 */
public class Advertising implements Serializable{
    private String updated_at;

    private String end_time;

    private String link;

    private int LinkType;

    private String desc;

    private String display_src;

    private int display_type;

    private int platform;

    private int show_time;

    private int status;

    private int id;

    private String name;

    private String created_at;

    private String begin_time;

    private int link_id;

    private int type;

    public void setUpdated_at(String updated_at) {
        this.updated_at = updated_at;
    }

    public String getUpdated_at() {
        return this.updated_at;
    }

    public void setEnd_time(String end_time) {
        this.end_time = end_time;
    }

    public String getEnd_time() {
        return this.end_time;
    }

    public void setLink(String link) {
        this.link = link;
    }

    public String getLink() {
        return this.link;
    }

    public void setLinkType(int LinkType) {
        this.LinkType = LinkType;
    }

    public int getLinkType() {
        return this.LinkType;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public String getDesc() {
        return this.desc;
    }

    public void setDisplay_src(String display_src) {
        this.display_src = display_src;
    }

    public String getDisplay_src() {
        return this.display_src;
    }

    public void setDisplay_type(int display_type) {
        this.display_type = display_type;
    }

    public int getDisplay_type() {
        return this.display_type;
    }

    public void setPlatform(int platform) {
        this.platform = platform;
    }

    public int getPlatform() {
        return this.platform;
    }

    public void setShow_time(int show_time) {
        this.show_time = show_time;
    }

    public int getShow_time() {
        return this.show_time;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public int getStatus() {
        return this.status;
    }

    public void setId(int id) {
        this.id = id;
    }

    public int getId() {
        return this.id;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return this.name;
    }

    public void setCreated_at(String created_at) {
        this.created_at = created_at;
    }

    public String getCreated_at() {
        return this.created_at;
    }

    public void setBegin_time(String begin_time) {
        this.begin_time = begin_time;
    }

    public String getBegin_time() {
        return this.begin_time;
    }

    public void setLink_id(int link_id) {
        this.link_id = link_id;
    }

    public int getLink_id() {
        return this.link_id;
    }

    public void setType(int type) {
        this.type = type;
    }

    public int getType() {
        return this.type;
    }

    public boolean isImage() {
        return display_type == 1;
    }
}